Skip to content
Permalink
Browse files

kernel: add missing dependency to kmod-crypto-acompress

Like kernel on 4.14 some modules need the dependency to
kmod-crypto-acompress on kernel 4.19.

Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
  • Loading branch information...
hauke committed Nov 2, 2018
1 parent 583d65e commit 36bf45ff4a05834bacb56968b1efe8e1d94ae007
Showing with 3 additions and 3 deletions.
  1. +1 −1 package/kernel/linux/modules/crypto.mk
  2. +2 −2 package/kernel/linux/modules/lib.mk
@@ -145,7 +145,7 @@ $(eval $(call KernelPackage,crypto-cts))

define KernelPackage/crypto-deflate
TITLE:=Deflate compression CryptoAPI module
DEPENDS:=+kmod-lib-zlib-inflate +kmod-lib-zlib-deflate +LINUX_4_14:kmod-crypto-acompress
DEPENDS:=+kmod-lib-zlib-inflate +kmod-lib-zlib-deflate +!(LINUX_3_18||LINUX_4_9):kmod-crypto-acompress
KCONFIG:=CONFIG_CRYPTO_DEFLATE
FILES:=$(LINUX_DIR)/crypto/deflate.ko
AUTOLOAD:=$(call AutoLoad,09,deflate)
@@ -101,7 +101,7 @@ $(eval $(call KernelPackage,lib-crc32c))
define KernelPackage/lib-lzo
SUBMENU:=$(LIB_MENU)
TITLE:=LZO support
DEPENDS:=+LINUX_4_14:kmod-crypto-acompress
DEPENDS:=+!(LINUX_3_18||LINUX_4_9):kmod-crypto-acompress
KCONFIG:= \
CONFIG_CRYPTO_LZO@ge4.9 \
CONFIG_LZO_COMPRESS \
@@ -146,7 +146,7 @@ $(eval $(call KernelPackage,lib-zstd))
define KernelPackage/lib-lz4
SUBMENU:=$(LIB_MENU)
TITLE:=LZ4 support
DEPENDS:=+LINUX_4_14:kmod-crypto-acompress
DEPENDS:=+!(LINUX_3_18||LINUX_4_9):kmod-crypto-acompress
HIDDEN:=1
KCONFIG:= \
CONFIG_CRYPTO_LZ4@ge4.9 \

0 comments on commit 36bf45f

Please sign in to comment.
You can’t perform that action at this time.